import { AccountDetails } from '@app/_models/account';

class BlocksBloom {
  low: number;
  blockFilter: string;
  blocktxFilter: string;
  alg: string;
  filterRounds: number;
}

class TxToken {
  address: string;
  name: string;
  symbol: string;
}

class Tx {
  block: number;
  success: boolean;
  timestamp: number;
  txHash: string;
  txIndex: number;
}

class Transaction {
  from: string;
  sender: AccountDetails;
  to: string;
  recipient: AccountDetails;
  token: TxToken;
  tx: Tx;
  value: number;
  type?: string;
}

class Conversion {
  destinationToken: TxToken;
  fromValue: number;
  sourceToken: TxToken;
  toValue: number;
  trader: string;
  user: AccountDetails;
  tx: Tx;
}

export { BlocksBloom, TxToken, Tx, Transaction, Conversion };
